default_config:

tts:
  - platform: google_translate

group: !include groups.yaml
automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml

api:

http:
  use_x_forwarded_for: true
  trusted_proxies:
    # - 172.18.0.32
    - 172.0.0.0/8

ltss:
  db_url: postgresql://homeassistant:homeassistant@192.168.2.200:6543/homeassistant
  chunk_time_interval: 2592000000000
  include:
    entity_globs:
    - sensor.atc_*
    - sensor.rik_*
    - sensor.electricity_meter_*
    - sensor.inverter_*
    - sensor.charger_*

bodymiscale: !include components/bodymiscale.yaml
device_tracker:
  - platform: bluetooth_le_tracker
    track_new_devices: true

google_assistant:
  project_id: home-assistant-afb62
  service_account: !include home-assistant-340618-840b2cb7a8a4.json
  report_state: true
  exposed_domains:
    - switch
    - light
  entity_config:
    switch.eetkamer:
      name: CUSTOM_NAME_FOR_GOOGLE_ASSISTANT
      aliases:
        - BRIGHT_LIGHTS
        - ENTRY_LIGHTS

lastfm_scrobbler:
  API_KEY: !secret lastfm_scrobbler_API_KEY
  API_SECRET: !secret lastfm_scrobbler_API_SECRET
  SESSION_KEY: !secret lastfm_scrobbler_SESSION_KEY
  media_players:
    - media_player.kantoor
    - media_player.versterker
    - media_player.woonkamer_tv
  scrobble_percentage: 25 # The default value is 1 if this line is omitted.

auth_header:
  allow_bypass_login: true
  # username_header: X-Forwarded-Preferred-Username
  username_header: X-Homeassistant-User
  debug: true

logger:
  default: info
  logs:
    custom_components.auth_header: debug

input_number:
  test_outdoor:
    name: Test Outdoor Temperature
    min: -20
    max: 40
    step: 0.1
    unit_of_measurement: "°C"

  test_indoor_1:
    name: Test Indoor Temperature 1
    min: -20
    max: 40
    step: 0.1
    unit_of_measurement: "°C"

  test_indoor_2:
    name: Test Indoor Temperature 2
    min: -20
    max: 40
    step: 0.1
    unit_of_measurement: "°C"

template:
  - sensor:
      - name: Dummy Outdoor Temperature
        unit_of_measurement: "°C"
        device_class: temperature
        state: "{{ states('input_number.test_outdoor') }}"

      - name: Dummy Indoor Temperature 1
        unit_of_measurement: "°C"
        device_class: temperature
        state: "{{ states('input_number.test_indoor_1') }}"

      - name: Dummy Indoor Temperature 2
        unit_of_measurement: "°C"
        device_class: temperature
        state: "{{ states('input_number.test_indoor_2') }}"
